Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp.edit
Class ViewSelection

    java.lang.Object
      de.grogra.imp.edit.ViewSelection

    public final class ViewSelection

extends java.lang.Object

Nested Class Summary
`static class` | `ViewSelection.Entry`

Field Summary
`static int` | `MOUSE_OVER` Bit mask indicating that the mouse pointer is over an object in a view.
`static int` | `MOUSE_OVER_SELECTED` Bit mask indicating the single object under the mouse pointer which the user has selected out of the list of objects under the mouse pointer.
`static UIProperty` | `PROPERTY`
`static int` | `SELECTED` Bit mask indicating that an object is selected.

Method Summary
`int` | `add(int type, Path path)`
`int` | `count(int type)`
`static void` | `create(View view)`
`static ViewSelection` | `get(Context ctx)`
`int` | `get(java.lang.Object object, boolean asNode)`
`int` | `get(Path path)`
`ViewSelection.Entry[]` | `getAll(int type)`
`static int` | `getColor(int baseColor, int state, boolean showSel)`
`ViewSelection.Entry` | `getEntry(Path path)`
`ViewSelection.Entry` | `getFirstEntry(java.lang.Object object, boolean asNode)`
`Path` | `getFirstPath(int type)`
`void` | `graphModified(GraphState gs)`
`boolean` | `isSelected(java.lang.Object object, boolean asNode)`
`void` | `remove(int type, Path path)`
`int` | `removeAndAdd(int remove, int add, Path path)`
`Path[]` | `set(int type, Path[] paths, boolean updateWorkbenchSelection)`
`void` | `set(Selection sel, boolean updateWorkbenchSelection)`
`int` | `toggle(int type, Path path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MOUSE_OVER

    public static final int MOUSE_OVER

  Bit mask indicating that the mouse pointer is over an object in a view.

  See Also:
    Constant Field Values

### MOUSE_OVER_SELECTED

    public static final int MOUSE_OVER_SELECTED

  Bit mask indicating the single object under the mouse pointer which the user has selected out of the list of objects under the mouse pointer.

  See Also:
    Constant Field Values

### PROPERTY

    public static final UIProperty PROPERTY

### SELECTED

    public static final int SELECTED

  Bit mask indicating that an object is selected.

  See Also:
    Constant Field Values

Method Detail

### add

    public int add(int type,
                   Path path)

### count

    public int count(int type)

### create

    public static void create(View view)

### get

    public static ViewSelection get(Context ctx)

### get

    public int get(java.lang.Object object,
                   boolean asNode)

### get

    public int get(Path path)

### getAll

    public ViewSelection.Entry[] getAll(int type)

### getColor

    public static int getColor(int baseColor,
                               int state,
                               boolean showSel)

### getEntry

    public ViewSelection.Entry getEntry(Path path)

### getFirstEntry

    public ViewSelection.Entry getFirstEntry(java.lang.Object object,
                                             boolean asNode)

### getFirstPath

    public Path getFirstPath(int type)

### graphModified

    public void graphModified(GraphState gs)

### isSelected

    public boolean isSelected(java.lang.Object object,
                              boolean asNode)

### remove

    public void remove(int type,
                       Path path)

### removeAndAdd

    public int removeAndAdd(int remove,
                            int add,
                            Path path)

### set

    public Path[] set(int type,
                      Path[] paths,
                      boolean updateWorkbenchSelection)

### set

    public void set(Selection sel,
                    boolean updateWorkbenchSelection)

### toggle

    public int toggle(int type,
                      Path path)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD